Package org.lwjgl.opengl

# Class NVVertexBufferUnifiedMemory

java.lang.Object
org.lwjgl.opengl.NVVertexBufferUnifiedMemory

public final class NVVertexBufferUnifiedMemory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:
`static final int`
`GL_COLOR_ARRAY_LENGTH_NV`
Accepted by the <value> parameter of GetIntegerv:
`static final int`
`GL_EDGE_FLAG_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:
`static final int`
`GL_EDGE_FLAG_ARRAY_LENGTH_NV`
Accepted by the <value> parameter of GetIntegerv:
`static final int`
`GL_ELEMENT_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:
`static final int`
`GL_ELEMENT_ARRAY_LENGTH_NV`
Accepted by the <value> parameter of GetIntegerv:
`static final int`
`GL_ELEMENT_ARRAY_UNIFIED_NV`
Accepted by the <cap> parameter of DisableClientState, EnableClientState, IsEnabled:
`static final int`
`GL_FOG_COORD_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:
`static final int`
`GL_FOG_COORD_ARRAY_LENGTH_NV`
Accepted by the <value> parameter of GetIntegerv:
`static final int`
`GL_INDEX_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:
`static final int`
`GL_INDEX_ARRAY_LENGTH_NV`
Accepted by the <value> parameter of GetIntegerv:
`static final int`
`GL_NORMAL_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:
`static final int`
`GL_NORMAL_ARRAY_LENGTH_NV`
Accepted by the <value> parameter of GetIntegerv:
`static final int`
`GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:
`static final int`
`GL_SECONDARY_COLOR_ARRAY_LENGTH_NV`
Accepted by the <value> parameter of GetIntegerv:
`static final int`
`GL_TEXTURE_COORD_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64i_vNV:
`static final int`
`GL_TEXTURE_COORD_ARRAY_LENGTH_NV`
Accepted by the <target> parameter of GetIntegeri_vNV:
`static final int`
`GL_VERTEX_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:
`static final int`
`GL_VERTEX_ARRAY_LENGTH_NV`
Accepted by the <value> parameter of GetIntegerv:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV`
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64i_vNV:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV`
Accepted by the <target> parameter of GetIntegeri_vNV:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV`
Accepted by the <cap> parameter of DisableClientState, EnableClientState, IsEnabled:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBufferAddressRangeNV(int pname, int index, long address, long length)`
`static void`
`glColorFormatNV(int size, int type, int stride)`
`static void`
`glEdgeFlagFormatNV(int stride)`
`static void`
`glFogCoordFormatNV(int type, int stride)`
`static long`
`glGetIntegerui64NV(int value, int index)`
Overloads glGetIntegerui64i_vNV.
`static void`
`glGetIntegeruNV(int value, int index, LongBuffer result)`
`static void`
`glIndexFormatNV(int type, int stride)`
`static void`
`glNormalFormatNV(int type, int stride)`
`static void`
`glSecondaryColorFormatNV(int size, int type, int stride)`
`static void`
`glTexCoordFormatNV(int size, int type, int stride)`
`static void`
`glVertexAttribFormatNV(int index, int size, int type, boolean normalized, int stride)`
`static void`
`glVertexAttribIFormatNV(int index, int size, int type, int stride)`
`static void`
`glVertexFormatNV(int size, int type, int stride)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV

public static final int GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV
Accepted by the <cap> parameter of DisableClientState, EnableClientState, IsEnabled:

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_UNIFIED_NV

public static final int GL_ELEMENT_ARRAY_UNIFIED_NV
Accepted by the <cap> parameter of DisableClientState, EnableClientState, IsEnabled:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV

public static final int GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64i_vNV:

See Also:
  - Constant Field Values

### GL_TEXTURE_COORD_ARRAY_ADDRESS_NV

public static final int GL_TEXTURE_COORD_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64i_vNV:

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_ADDRESS_NV

public static final int GL_VERTEX_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:

See Also:
  - Constant Field Values

### GL_NORMAL_ARRAY_ADDRESS_NV

public static final int GL_NORMAL_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:

See Also:
  - Constant Field Values

### GL_COLOR_ARRAY_ADDRESS_NV

public static final int GL_COLOR_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:

See Also:
  - Constant Field Values

### GL_INDEX_ARRAY_ADDRESS_NV

public static final int GL_INDEX_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:

See Also:
  - Constant Field Values

### GL_EDGE_FLAG_ARRAY_ADDRESS_NV

public static final int GL_EDGE_FLAG_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV

public static final int GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:

See Also:
  - Constant Field Values

### GL_FOG_COORD_ARRAY_ADDRESS_NV

public static final int GL_FOG_COORD_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_ADDRESS_NV

public static final int GL_ELEMENT_ARRAY_ADDRESS_NV
Accepted by the <pname> parameter of BufferAddressRangeNV and the <value> parameter of GetIntegerui64vNV:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV

public static final int GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV
Accepted by the <target> parameter of GetIntegeri_vNV:

See Also:
  - Constant Field Values

### GL_TEXTURE_COORD_ARRAY_LENGTH_NV

public static final int GL_TEXTURE_COORD_ARRAY_LENGTH_NV
Accepted by the <target> parameter of GetIntegeri_vNV:

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_LENGTH_NV

public static final int GL_VERTEX_ARRAY_LENGTH_NV
Accepted by the <value> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_NORMAL_ARRAY_LENGTH_NV

public static final int GL_NORMAL_ARRAY_LENGTH_NV
Accepted by the <value> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_COLOR_ARRAY_LENGTH_NV

public static final int GL_COLOR_ARRAY_LENGTH_NV
Accepted by the <value> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_INDEX_ARRAY_LENGTH_NV

public static final int GL_INDEX_ARRAY_LENGTH_NV
Accepted by the <value> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_EDGE_FLAG_ARRAY_LENGTH_NV

public static final int GL_EDGE_FLAG_ARRAY_LENGTH_NV
Accepted by the <value> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_LENGTH_NV

public static final int GL_SECONDARY_COLOR_ARRAY_LENGTH_NV
Accepted by the <value> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_FOG_COORD_ARRAY_LENGTH_NV

public static final int GL_FOG_COORD_ARRAY_LENGTH_NV
Accepted by the <value> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_LENGTH_NV

public static final int GL_ELEMENT_ARRAY_LENGTH_NV
Accepted by the <value> parameter of GetIntegerv:

See Also:
  - Constant Field Values

## Method Details

### glBufferAddressRangeNV

public static void glBufferAddressRangeNV(int pname, int index, long address, long length)

### glVertexFormatNV

public static void glVertexFormatNV(int size, int type, int stride)

### glNormalFormatNV

public static void glNormalFormatNV(int type, int stride)

### glColorFormatNV

public static void glColorFormatNV(int size, int type, int stride)

### glIndexFormatNV

public static void glIndexFormatNV(int type, int stride)

### glTexCoordFormatNV

public static void glTexCoordFormatNV(int size, int type, int stride)

### glEdgeFlagFormatNV

public static void glEdgeFlagFormatNV(int stride)

### glSecondaryColorFormatNV

public static void glSecondaryColorFormatNV(int size, int type, int stride)

### glFogCoordFormatNV

public static void glFogCoordFormatNV(int type, int stride)

### glVertexAttribFormatNV

public static void glVertexAttribFormatNV(int index, int size, int type, boolean normalized, int stride)

### glVertexAttribIFormatNV

public static void glVertexAttribIFormatNV(int index, int size, int type, int stride)

### glGetIntegeruNV

public static void glGetIntegeruNV(int value, int index, LongBuffer result)

### glGetIntegerui64NV

public static long glGetIntegerui64NV(int value, int index)
Overloads glGetIntegerui64i_vNV.